/// <reference types="node" />
import { EventEmitter } from 'events';
import { ISensor } from './Sensor';
export declare class FakeThermometer extends EventEmitter implements ISensor {
    private readonly sensorRecording;
    private readonly doLoop;
    private readonly sampleRate;
    private readonly samples;
    private doRun;
    constructor(sensorRecording: string, doLoop: boolean, sampleRate: number);
    private setupReader;
    private emitSamples;
    start(): Promise<void>;
    stop(): void;
    isStarted(): boolean;
}
